<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Oeffentlich\PasswortAnfordern\AktivierePasswort;

class AktivierePasswortController extends \Kufer\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new AktivierePasswortUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $request = new AktivierePasswortRequest();
    $request->key = \GetOperations::getVarValue('key');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AktivierePasswortPresenter($pUseCaseResponse);
  }
}